주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

create

POST /agent_insight_monitors

Create an Agent Insights monitor for an agent.

헤더 매개 변수

Foundry-Features enum 필수

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

쿼리 매개 변수

api-version string 필수

The API version to use for this operation.

요청 본문

The monitor to create.

Content-Type: application/json
agent_name string 필수

The agent this monitor should analyze.

enabled boolean

Whether scheduled insight generation should be armed. Defaults to false.

run_interval_hours number

Interval between scheduled insight runs, in hours. Defaults to 6.

model_deployment_name string 필수

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

응답

The request has succeeded and a new resource has been created as a result.

헤더

Location string 필수

URL of the created monitor.

본문

Content-Type: application/json
id string 필수

The monitor identifier.

agent_name string 필수

The agent this monitor analyzes. There can be only one monitor per agent.

enabled boolean 필수

Whether scheduled insight generation is armed for the monitor.

run_interval_hours number 필수

Interval between scheduled insight runs, in hours.

model_deployment_name string 필수

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

next_scheduled_run_at integer
estimated_cost AgentInsightEstimatedCost

Estimated Agent Insights cost.

amount number 필수

Estimated cost amount.

currency enum 필수

Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.

USD
suspension AgentInsightSuspension | null 필수

Why the system suspended scheduled generation. Null when the monitor is not suspended.

code string 필수

Stable, machine-readable suspension category.

message string 필수

Human-readable description of the suspension.

occurred_at integer 필수
details object

Additional reason-specific suspension details.

overview AgentInsightsOverview | null 필수

The effective overview, or null before an overview is available.

content string 필수

The overview content.

source string | enum 필수

Identifies where an Agent Insights overview came from.

다음 중 하나:
string
enum
generateduser_override
updated_at integer 필수
updated_at integer 필수

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

요청

POST /agent_insight_monitors HTTP/1.1

응답

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026